linux-raspi 5.4.0-1028.31 source package in Ubuntu

Changelog

linux-raspi (5.4.0-1028.31) focal; urgency=medium

  * focal/linux-raspi: 5.4.0-1028.31 -proposed tracker (LP: #1911311)

  [ Ubuntu: 5.4.0-63.71 ]

  * focal/linux: 5.4.0-63.71 -proposed tracker (LP: #1911333)
  * overlay: permission regression in 5.4.0-51.56 due to patches related to
    CVE-2020-16120 (LP: #1900141)
    - ovl: do not fail because of O_NOATIME
  * Focal update: v5.4.79 upstream stable release (LP: #1907151)
    - net/mlx5: Use async EQ setup cleanup helpers for multiple EQs
    - net/mlx5: poll cmd EQ in case of command timeout
    - net/mlx5: Fix a race when moving command interface to events mode
    - net/mlx5: Add retry mechanism to the command entry index allocation
  * Kernel 5.4.0-56 Wi-Fi does not connect (LP: #1906770)
    - mt76: fix fix ampdu locking
  * [Ubuntu 21.04 FEAT] mpt3sas: Request to include the patch set which supports
    topology where zoning is enabled in expander (LP: #1899802)
    - scsi: mpt3sas: Define hba_port structure
    - scsi: mpt3sas: Allocate memory for hba_port objects
    - scsi: mpt3sas: Rearrange _scsih_mark_responding_sas_device()
    - scsi: mpt3sas: Update hba_port's sas_address & phy_mask
    - scsi: mpt3sas: Get device objects using sas_address & portID
    - scsi: mpt3sas: Rename transport_del_phy_from_an_existing_port()
    - scsi: mpt3sas: Get sas_device objects using device's rphy
    - scsi: mpt3sas: Update hba_port objects after host reset
    - scsi: mpt3sas: Set valid PhysicalPort in SMPPassThrough
    - scsi: mpt3sas: Handling HBA vSES device
    - scsi: mpt3sas: Add bypass_dirty_port_flag parameter
    - scsi: mpt3sas: Handle vSES vphy object during HBA reset
    - scsi: mpt3sas: Add module parameter multipath_on_hba
    - scsi: mpt3sas: Bump driver version to 35.101.00.00

  [ Ubuntu: 5.4.0-62.70 ]

  * focal/linux: 5.4.0-62.70 -proposed tracker (LP: #1911144)
  * CVE-2020-28374
    - SAUCE: target: fix XCOPY NAA identifier lookup
  * Packaging resync (LP: #1786013)
    - update dkms package versions

linux-raspi (5.4.0-1027.30) focal; urgency=medium

  * focal/linux-raspi: 5.4.0-1027.30 -proposed tracker (LP: #1910016)

  * rpi3b+ wifi doesn't get used if ethernet disconnected (LP: #1890487)
    - net: lan78xx: Ack pending PHY ints when resetting

  * focal/linux-raspi: Upstream raspberrypi patchset 2020-12-10 (LP: #1908077)
    - ARM: dts: Limit BT modem baud rate on 3B
    - configs: Enable CHACHA20POLY1305=m
    - overlays: Update i2c0 overlay to disable the i2c0mux.
    - dt: Remove duplicate assignment for i2c0 pinctrl config
    - overlays: Add option for composite to vc4-kms-v3d-pi4.
    - minor typo in directions
    - overlays: Regenerate upstream-pi4 overlay
    - overlays: Add parameters to adafruit18, sainsmart18
    - rpivid_h265: Fix width/height typo
    - overlays: Add extra CMA sizes (up to 512M)
    - overlays: Add note to BCM2711 overlays
    - overlays: adafruit18,sainsmart18: default bgr to off
    - configs: Remove I2C_BRCMSTB from the kernel
    - net: bcmgenet: Reset RBUF on first open
    - ASoC: cs42xx8: Only define cs42xx8_of_match once
    - configs: Regenerate the defconfigs
    - staging: bcm2835-codec: Use a define the completion timeout
    - staging: bcm2835-codec: Correct buffer number change on start streaming
    - USB: gadget: f_hid: avoid crashes and log spam
    - Update hy28b-overlay.dts
    - overlays: Update display GPIO declarations
    - SQUASH: USB: gadget: f_hid: remove more spam
    - configs: Add CONFIG_RTC_DRV_SD3078=m
    - overlays: Add sd3078 to the i2c-rtc overlay
    - configs: Restore SND_PCM_OSS=m
    - configs: Add MEMCG_SWAP support initially disabled
    - dwc_otg: initialise sched_frame for periodic QHs that were parked
    - arm64: configs: Enable Unicam support
    - arm64: configs: Enable V4L2 test module support
    - staging: bcm2835-camera: Replace deprecated V4L2_PIX_FMT_BGR32
    - staging: bcm2835-codec: Replace deprecated V4L2_PIX_FMT_BGR32
    - ARM: bcm2711-rpi.dts: Unlock DMA channels 9 & 10
    - gpio: Add gpio-fsm driver
    - configs: Add CONFIG_GPIO_FSM=m
    - overlays: Add fsm-demo overlay
    - overlays: Add ghost-amp overlay
    - Fixes a problem when module probes before i2c module is available
    - uapi: Update V4L2_CID_USER_BCM2835_ISP_BASE due to upstream change
    - Revert "Bluetooth: Check key sizes only when Secure Simple Pairing is
      enabled"
    - dtoverlays: Correct CSI2 settings for ov9281
    - xhci: quirks: add link TRB quirk for VL805
    - dts: Add CM4 to arm64 dt files
    - dts: Tidy the Raspberry Pi Makefile entries
    - staging: bcm2835-audio: Add disable-headphones flag
    - ARM: dts: Disable headphone audio on Zeroes, CM4
    - overlays: Enable headphone audio in audremap
    - rpisense-fb: Set pseudo_pallete to prevent crash on fbcon takeover
    - PiFi-40 defconfigs
    - PiFi-40 Devicetree files
    - PiFi-40 driver, Makefile and Kconfig
    - dwc_otg: Minimise header and fix build warnings
    - gpio-fsm: Fix a build warning
    - rpivid_h625: Fix build warnings
    - dwc_otg: Fix more build warnings
    - bcm2708_fb: Fix a build warning
    - bcm2835-pcm: Fix up multichannel pcm audio
    - watchdog: bcm2835: Ignore params after the partition number
    - firmware: raspberrypi: Add support for tryonce reboot flag
    - phy: broadcom: split out the BCM54213PE from the BCM54210E IDs
    - phy: broadcom: Add bcm54213pe configuration
    - Allo boss2 driver
    - Add allo boss2 overlay
    - Add allo boss2 config
    - Revert "mailbox: avoid timer start from callback"
    - ARM: dts: Add bcm2711-rpi-400.dts
    - overlays: Deprecate and delete the sdtweak overlay
    - overlays: Complete the sdtweak excision
    - ARM: dts: bcm27xx: Remove enable_headphones setting
    - staging: vcsm-cma: Fix memory leak from not detaching dmabuf
    - Update Allo Piano Dac Driver for 5.4.y kernels
    - Overlay: Update Allo Piano Plus dac driver for 5.4.y kernels.
    - Update volume controls in Allo Piano Dac Plus
    - can: rx-offload: can_rx_offload_add_manual(): add new initialization
      function
    - dt-binding: can: mcp25xxfd: document device tree bindings
    - can: mcp25xxfd: add regmap infrastructure
    - can: mcp25xxfd: add driver for Microchip MCP25xxFD SPI CAN
    - can: mcp25xxfd: add listen-only mode
    - can: mcp25xxfd: mcp25xxfd_handle_eccif(): add ECC related errata and update
      log messages
    - can: mcp25xxfd: mcp25xxfd_probe(): add SPI clk limit related errata
      information
    - can: mcp25xxfd: mcp25xxfd_ring_free(): fix memory leak during cleanup
    - can: mcp25xxfd: mcp25xxfd_irq(): add missing initialization of variable
      set_normal mode
    - dt-binding: can: mcp25xxfd: documentation fixes
    - dt-binding: can: mcp251xfd: narrow down wildcards in device tree bindings to
      "microchip,mcp251xfd"
    - can: mcp25xxfd: narrow down wildcards in device tree bindings to
      "microchip,mcp251xfd"
    - can: mcp251xfd: rename driver files and subdir to mcp251xfd
    - can: mcp251xfd: rename all user facing strings to mcp251xfd
    - can: mcp251xfd: rename all remaining occurrence to mcp251xfd
    - can: mcp251xfd: mcp251xfd_regmap_crc_read(): increase severity of CRC read
      error messages
    - can: mcp251xfd: mcp251xfd_regmap_nocrc_read(): fix semicolon.cocci warnings
    - can: mcp251xfd: remove unneeded break
    - mcp251xfd: add overlay
    - Add mcp251xfd driver as module to RPI build configuration
    - media: i2c: imx219: Selection compliance fixes
    - media: bcm2835-unicam: Correctly handle error propagation for stream on
    - media: bcm2835-unicam: Return early from stop_streaming() if stopped
    - media: bcm2835-unicam: Clear clock state when stopping streaming
    - ARM: dts: CM4 audio pins are not connected
    - configs: Add RTC_DRV_PCF85063=m
    - overlays: Add PCF85063 and PCF85063A to i2c-rtc
    - overlays: Fix cut-and-paste error in README
    - media: i2c: imx477: Selection compliance fixes
    - SAUCE: net: bcmgenet: Remove empty line to match upstream
    - [Config] raspi: updateconfigs after update to rpi-5.4.y 2020-12-10

  [ Ubuntu: 5.4.0-60.67 ]

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - update dkms package versions
  * CVE-2021-1052 // CVE-2021-1053
    - [Packaging] NVIDIA -- Add the NVIDIA 460 driver

 -- Kleber Sacilotto de Souza <email address hidden>  Wed, 20 Jan 2021 11:27:41 +0100

Upload details

Uploaded by:
Kleber Sacilotto de Souza on 2021-01-20
Uploaded to:
Focal
Original maintainer:
Ubuntu Kernel Team
Architectures:
armhf arm64
Section:
devel
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Focal: [FULLYBUILT] arm64 [FULLYBUILT] armhf

Downloads

File Size SHA-256 Checksum
linux-raspi_5.4.0.orig.tar.gz 162.4 MiB 805f3ed93854317814c59caf2dbfd2097745685f95c8c18b509c9347dcc7d51f
linux-raspi_5.4.0-1028.31.diff.gz 8.7 MiB 7d6c0a1ed57f74c46957f1bc86dfd95976174166e2f897cb601592d8126b74d7
linux-raspi_5.4.0-1028.31.dsc 3.4 KiB e38f5bb7d49446d9579d936c6e6e12eaec5f21a01632dd7d615fdc8a36f55ec9

View changes file

Binary packages built by this source

linux-buildinfo-5.4.0-1028-raspi: Linux kernel buildinfo for version 5.4.0 on ARMv8 SMP

 This package contains the Linux kernel buildinfo for version 5.4.0 on
 ARMv8 SMP.
 .
 You likely do not want to install this package.

linux-headers-5.4.0-1028-raspi: Linux kernel headers for version 5.4.0 on ARMv8 SMP

 This package provides kernel header files for version 5.4.0 on
 ARMv8 SMP.
 .
 This is for sites that want the latest kernel headers. Please read
 /usr/share/doc/linux-headers-5.4.0-1028/debian.README.gz for details.

linux-image-5.4.0-1028-raspi: Linux kernel image for version 5.4.0 on ARMv8 SMP

 This package contains the Linux kernel image for version 5.4.0 on
 ARMv8 SMP.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-raspi meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-image-5.4.0-1028-raspi-dbgsym: Linux kernel debug image for version 5.4.0 on ARMv8 SMP

 This package provides the kernel debug image for version 5.4.0 on
 ARMv8 SMP.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

linux-modules-5.4.0-1028-raspi: Linux kernel extra modules for version 5.4.0 on ARMv8 SMP

 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-raspi meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-raspi-headers-5.4.0-1028: Header files related to Linux kernel version 5.4.0

 This package provides kernel header files for version 5.4.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-raspi-headers-5.4.0-1028/debian.README.gz for details

linux-raspi-tools-5.4.0-1028: Linux kernel version specific tools for version 5.4.0-1028

 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 5.4.0-1028 on
 ARMv8.
 You probably want to install linux-tools-5.4.0-1028-<flavour>.

linux-tools-5.4.0-1028-raspi: Linux kernel version specific tools for version 5.4.0-1028

 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 5.4.0-1028 on
 ARMv8.